function pdw_energy(t,X)
% ----------------------------
% Two-Legged Passive Dynamic Walking
% March 31, 2011
%
% Energy plotting subroutine
% ----------------------------

global d l r w m Ig g gamma;

%% CONTROL PARAMETERS

figure(99);
if(t(1)==0)
    clf; hold on;
end

% translational kinetic energy
KE_trans = 0.5*m*(X(:,4).^2 + X(:,5).^2) + 0.5*m*(X(:,10).^2 + X(:,11).^2);

% rotational kinetic energy
KE_rot = 0.5*Ig*(X(:,6).^2 + X(:,12).^2);

% find CG height in the world frame
RGW = [cos(gamma) sin(gamma); -sin(gamma) cos(gamma)];
SW = (RGW * [X(:,1) X(:,2)]')';
FW = (RGW * [X(:,7) X(:,8)]')';

% potential energy
PE = m*g*(SW(:,2) + FW(:,2) + 2*d);

% total energy
E_total = KE_trans + KE_rot + PE;

plot(t,KE_trans,'g',t,KE_rot,'r',t,PE,'b',t,E_total,'k--');
legend('KE_t','KE_r','PE','TOTAL')
