function Xdot = pdw_equations(t,X)
% ----------------------------
% Two-Legged Passive Dynamic Walking
% March 31, 2011
%
% Compute derivatives (state update) function
% ----------------------------

global d l r w m Ig g gamma;

%% EXTRACT THE STATES
p_sx = X(1);    % X position of the stance leg CG
p_sy = X(2);    % Y position of the stance leg CG
t_s = X(3);     % angle of the stance leg from the surface normal
v_sx = X(4);    % X velocity of the stance leg CG
v_sy = X(5);    % Y velocity of the stance leg CG
w_s = X(6);     % angular velocity of the stance leg

p_fx = X(7);    % X position of the free leg CG
p_fy = X(8);    % Y position of the free leg CG
t_f = X(9);     % angle of the free leg from the surface normal
v_fx = X(10);   % X velocity of the free leg CG
v_fy = X(11);   % Y velocity of the free leg CG
w_f = X(12);    % angular velocity of the free leg

p_hx = X(13);   % X position of the hip joint
p_hy = X(14);   % Y position of the hip joint
v_hx = X(15);   % X velocity of the hip joint
v_hy = X(16);   % Y velocity of the hip joint

%% BUILD SOME VECTORS (FROM-TO)
%>>

%% COMPUTE DERIVATIVES FROM THE EQUATIONS OF MOTION
%>>

%% UPDATE THE STATES
%>>
